body,
h1,
h2,
h3,
h5,
h6,
p,
ul,
ol {
  margin: 0;
  padding: 0;
  text-align: center;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

.content-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.slogan {
  color: #ffffff;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

.text-content {
  padding: 10px;
  line-height: 25px;
}

.text-container {
  position: relative;
  max-width: 100%;
}

.more-text {
  color: darkteal;
  cursor: pointer;
}

.hidden-content {
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  transition: max-height 0.5s ease-out, opacity 0.5s ease-out;
}

.hidden-content.show {
  font-size: 16px;
  max-height: 500px;
  opacity: 1;
}

#whatsapp-link1 {
  text-decoration: none;
  color: #00393d;
  font-weight: 600;
}

.location-contact {
  font-family: "Merriweather", serif;
  color: #333;
}

.show-less {
  display: none;
  color: #0f5751;
  cursor: pointer;
  text-decoration: underline;
  font-size: 0.85em;
}

@media (max-width: 768px) {
  .text-container {
    font-size: 15px;
  }

  .show-less {
    display: block;
  }
}

.more-link {
  position: absolute;
  right: 620px;
  color: #105a5f;
  text-decoration: none;
  font-size: 14px;
  font-weight: 600;
  margin-left: 5px;
  border-radius: 5px;
  padding: 5px;
}

.more-link:hover {
  color: #0a5e64;
}

@media (max-width: 768px) {
  .more-link {
    right: 0;
  }
}

@media (min-width: 768px) {
  .more-link {
    right: 180px;
  }
}

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f2f2f2;
}

header {
  background-color: #0f5751;
  color: white;
  text-align: center;
  padding: 15px;
}

.logo img {
  width: 200px;
}

@media (max-width: 235px) {
  .logo img {
    width: 50px;
  }
}

main {
  flex: 1;
  padding: 20px;
}

.section {
  margin-bottom: 40px;
}

.image-section {
  padding: 20px;
  overflow: hidden;
}

.content {
  margin-bottom: 20px;
}

.contacts a {
  text-decoration: none;
  color: #00393d;
}

.contacts {
  margin-right: 28px;
}

.image-container {
  position: relative;
  overflow: hidden;
  float: left;
  max-width: 40%;
  margin: 20px 0;
  width: 100%;
  height: auto;
}

.image-container img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 5px;
}

.image-container img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 5px;
  opacity: 0;
  transition: opacity 1s ease;
}
.image-container.loaded img {
  opacity: 1;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(30px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
.image-container.loading img {
  animation: fadeIn 2s ease forwards;
}

/* Media query for smaller screens */
@media (max-width: 1024px) {
  .image-container {
    max-width: 75%;
    margin: 20px 0;
  }
}

@media (max-width: 768px) {
  .image-container {
    max-width: 100%;
    margin: 20px 0;
  }
}

/*Login and Register forms*/
.Log-in-form-container {
  display: flex;
  align-items: stretch;
  justify-content: flex-end;
}

.Log-In-system {
  background-color: #ff7b00cc;
  color: #fff;
  padding: 10px;
  margin-right: 30px;
  border: none;
  border-radius: 15px;
  cursor: pointer;
  transition: background-color 0.3s ease-in-out;
  text-decoration: none;
  height: 40px;
  width: 100px;
  transition: transform 0.3s ease-in-out;
}

.Log-In-system:hover {
  background-color: #ff7b00;
  transform: scale(1.05);
}

.Log-in-form-container {
  width: 100%;
  text-align: right;
  padding: 10px;
}

#loginForm, #signUpForm{
  display: none;
}

#loginForm {
  position: absolute;
  top: 3rem;
  right: 12rem;
}

#signUpForm {
  position: absolute;
  top: 3rem;
  right: 12rem;
  height: auto;
}

@media (max-width: 768px) {
  .Log-in-form-container {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .Log-In-system {
    background-color: #ff7b00cc;
    margin-right: 28px;
    height: 40px;
    width: 75px;
  }
}

/* Close button */
.closeBtn {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 24px;
  color: #00393d;
  cursor: pointer;
}

.form-container {
  width: 350px;
  height: 500px;
  background-color: #fff;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  border-radius: 10px;
  box-sizing: border-box;
  padding: 20px 30px;
}

.title {
  text-align: center;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
  margin: 10px 0 30px 0;
  font-size: 28px;
  font-weight: 800;
}

.input {
  border-radius: 15px;
  border: 1px solid #c0c0c0;
  outline: 0 !important;
  box-sizing: border-box;
  padding: 12px 15px;
}

.page-link {
  text-decoration: underline;
  margin: 0;
  text-align: end;
  color: #747474;
  text-decoration-color: #747474;
}

.page-link-label {
  cursor: pointer;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
  font-size: 9px;
  font-weight: 700;
}

.page-link-label:hover {
  color: #000;
}

.form-btn {
  padding: 10px 15px;
  border-radius: 10px;
  border: 0 !important;
  outline: 0 !important;
  background: teal;
  color: white;
  cursor: pointer;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.form-btn:active {
  box-shadow: none;
}

.sign-up-label {
  margin: 0;
  font-size: 10px;
  color: #747474;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
}


.log-in-label {
  margin-top: 12px;
  font-size: 10px;
  color: #747474;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
}

.sign-up-link {
  margin-left: 1px;
  font-size: 11px;
  text-decoration: underline;
  text-decoration-color: teal;
  color: teal;
  cursor: pointer;
  font-weight: 800;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
}

.log-in-link {
  margin-left: 1px;
  font-size: 11px;
  text-decoration: underline;
  text-decoration-color: teal;
  color: teal;
  cursor: pointer;
  font-weight: 800;
}

.buttons-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin-top: 20px;
  gap: 15px;
}

.apple-login-button,
.google-login-button {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  box-sizing: border-box;
  padding: 10px 15px;
  cursor: pointer;
  font-size: 11px;
  gap: 5px;
}

.apple-login-button {
  background-color: #000;
  color: #fff;
  border: 2px solid #000;
}

.google-login-button {
  border: 2px solid #747474;
}

.apple-icon,
.google-icon {
  font-size: 18px;
  margin-bottom: 1px;
}

.form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  max-width: 350px;
  background-color: #fff;
  padding: 20px;
  border-radius: 20px;
  position: relative;
}

.title {
  font-size: 28px;
  color: teal;
  font-weight: 600;
  letter-spacing: -1px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding-left: 30px;
}

.title::before,
.title::after {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  border-radius: 50%;
  left: 0px;
  background-color: teal;
}

.title::before {
  width: 18px;
  height: 18px;
  background-color: teal;
}

.title::after {
  width: 18px;
  height: 18px;
  animation: pulse 1s linear infinite;
}

.message,
.signin {
  color: rgba(88, 87, 87, 0.822);
  font-size: 14px;
}

.signin {
  text-align: center;
}

.signin a {
  color: teal;
}

.signin a:hover {
  text-decoration: underline teal;
}

/* Media Queries */
@media (max-width: 1024px) {
  #loginForm,
  #signUpForm {
    position: fixed;
    top: 48%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 12px;
    z-index: 999;
  }
}

@media (max-width: 768px) {
  #loginForm,
  #signUpForm {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 12px;
    z-index: 999;
  }
}

@media (max-width: 468px) {
  #loginForm,
  #signUpForm {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 12px;
    z-index: 999;
  }
}

.flex {
  display: flex;
  width: 100%;
  gap: 6px;
}

.form label {
  position: relative;
}

.form label .input {
  width: 100%;
  outline: 0;
  border: 1px solid rgba(105, 105, 105, 0.397);
  border-radius: 10px;
}

.form label .input + span {
  position: absolute;
  left: 10px;
  top: 15px;
  color: grey;
  font-size: 0.9em;
  cursor: text;
  transition: 0.3s ease;
}

.form label .input:placeholder-shown + span {
  top: 15px;
  font-size: 0.9em;
}

.form label .input:focus + span,
.form label .input:valid + span {
  top: 30px;
  font-size: 0.7em;
  font-weight: 600;
}

.form label .input:valid + span {
  color: green;
}

.submit {
  border: none;
  outline: none;
  background-color: teal;
  width: 100%;
  padding: 10px;
  border-radius: 10px;
  color: #fff;
  font-size: 16px;
  transform: 0.3s ease;
  cursor: pointer;
}

.submit:hover {
  background-color: teal;
}

@keyframes pulse {
  from {
    transform: scale(0.9);
    opacity: 1;
  }

  to {
    transform: scale(1.8);
    opacity: 0;
  }
}

/* Overlay style */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 999;
}

.contact-form-container {
  display: inline-block;
  position: relative;
  background-color: #ffffff;
  box-shadow: 0 4px 8px rgba(94, 94, 94, 0.466);
  border-radius: 8px;
  padding: 100px;
  max-width: 200px;
  margin-top: 40px;
}

.whatsapp-button {
  text-decoration: none;
}

.whatsapp-logo {
  width: 50px;
  height: auto;
}

/*Our Packages*/
.packages-system-container {
  display: inline-block;
  padding: 10px;
  margin-top: 25px;
  margin: 10px;
}

label {
  display: inline-block;
  padding: 12px 18px;
  background-color: #a8edf707;
  color: #08413a;
  font-size: 14px;
  border-radius: 5px;
  text-align: center;
  margin: 0;
}

.packages-system {
  background-color: #0b5248;
  color: #fff;
  padding: 10px;
  margin-bottom: 25px;
  margin-top: 50px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s ease-in-out;
  text-decoration: none;
  height: 40px;
}

.packages-system:hover {
  background-color: #033b34;
}

.input-container {
  display: flex;
  align-items: center;
  gap: 10px;
}

.Form-container {
  max-width: 600px;
  margin: 25px auto;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
#planContent,
#eventSelection,
#budgetInput,
#planResult {
  margin-bottom: 25px;
}

label {
  display: block;
  font-weight: bold;
  margin-bottom: 8px;
}

select:focus {
  outline: none;
}

/* Style the dropdown arrow */
select {
  background-repeat: no-repeat;
  background-position: right center;
  padding-right: 30px;
  border: 1px solid #ccc;
  border-radius: 4px;
  padding: 1em 1.5em;
}

/* Optional: Style the dropdown list */
select option {
  appearance: none;
}

select,
input {
  width: 100%;
  padding: 10px;
  appearance: none;
  margin-bottom: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  transition: border-color 0.3s;
  padding: 1em 1.5em;
}

select:hover,
input:hover,
select:focus,
input:focus {
  border-color: #0b9265;
  outline: none;
}

#eventType {
  width: 100%;
  padding: 10px 15px;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  background-color: white;
  color: #333;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  transition: border-color 0.3s, box-shadow 0.3s;
}

#eventType:hover {
  border-color: #888;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
}

#eventType:focus {
  border-color: #0b9265;
  box-shadow: 0 0 8px rgba(11, 146, 101, 0.5);
  outline: none;
}

#currencySwitch {
  width: 100%;
  padding: 10px 15px;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  background-color: white;
  color: #333;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  transition: border-color 0.3s, box-shadow 0.3s;
}

#currencySwitch:hover {
  border-color: #888;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
}

#currencySwitch:focus {
  border-color: #0b9265;
  box-shadow: 0 0 8px rgba(11, 146, 101, 0.5);
  outline: none;
}

.recommendPlanButton {
  background-color: #0a5746;
  color: #fff;
  padding: 10px 15px;
  border: none;
  border-radius: 3px;
  cursor: pointer;
  font-size: 16px;
  transition: 1s;
}

.recommendPlanButton:hover {
  background-color: #063630;
}

#planResult {
  display: none;
}

.plan-details {
  position: inherit;
}

.planContent {
  position: relative;
  align-items: center;
  margin: 45px;
  padding: 45px;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

#additionalDetails {
  padding: 0 12px;
}

#additionalDetails h3 {
  padding: 20px;
  color: #004d40;
}

.plan {
  display: block;
  width: 35rem;
  height: 12rem;
  max-width: 75rem;
  position: absolute;
  padding: 25px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #ffffff;
  border-radius: 5px;
  text-align: center;
}

@media (max-width: 768px) {
  .plan {
    width: 320px;
    max-width: 350px;
  }
}

.closeButton {
  position: absolute;
  top: 5px;
  right: 10px;
  font-size: 24px;
  color: #5c5c5c;
  cursor: pointer;
}

.closeButton:hover {
  color: #0f0f0f;
}

/*loader*/
.three-body {
  --uib-size: 35px;
  --uib-speed: 0.8s;
  --uib-color: teal;
  position: relative;
  display: inline-block;
  height: var(--uib-size);
  width: var(--uib-size);
  animation: spin78236 calc(var(--uib-speed) * 2.5) infinite linear;
}

.three-body__dot {
  position: absolute;
  height: 100%;
  width: 30%;
}

.three-body__dot:after {
  content: "";
  position: absolute;
  height: 0%;
  width: 100%;
  padding-bottom: 100%;
  background-color: var(--uib-color);
  border-radius: 50%;
}

.three-body__dot:nth-child(1) {
  bottom: 5%;
  left: 0;
  transform: rotate(60deg);
  transform-origin: 50% 85%;
}

.three-body__dot:nth-child(1)::after {
  bottom: 0;
  left: 0;
  animation: wobble1 var(--uib-speed) infinite ease-in-out;
  animation-delay: calc(var(--uib-speed) * -0.3);
}

.three-body__dot:nth-child(2) {
  bottom: 5%;
  right: 0;
  transform: rotate(-60deg);
  transform-origin: 50% 85%;
}

.three-body__dot:nth-child(2)::after {
  bottom: 0;
  left: 0;
  animation: wobble1 var(--uib-speed) infinite calc(var(--uib-speed) * -0.15)
    ease-in-out;
}

.three-body__dot:nth-child(3) {
  bottom: -5%;
  left: 0;
  transform: translateX(116.666%);
}

.three-body__dot:nth-child(3)::after {
  top: 0;
  left: 0;
  animation: wobble2 var(--uib-speed) infinite ease-in-out;
}

@keyframes spin78236 {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes wobble1 {
  0%,
  100% {
    transform: translateY(0%) scale(1);
    opacity: 1;
  }

  50% {
    transform: translateY(-66%) scale(0.65);
    opacity: 0.8;
  }
}

@keyframes wobble2 {
  0%,
  100% {
    transform: translateY(0%) scale(1);
    opacity: 1;
  }

  50% {
    transform: translateY(66%) scale(0.65);
    opacity: 0.8;
  }
}

/* Our Niche (Status Update for our site) */

.btn {
  text-transform: uppercase;
  text-decoration: none;
  color: rgb(0, 48, 37);
  padding: 10px 30px;
  border: none;
  border-radius: 1000px;
  display: inline-block;
  transition: all 0.2s;
  position: relative;
  box-shadow: 0 10px 20px rgba(27, 27, 27, 0.5);
  background-color: transparent;
}

.btn:hover {
  border-color: white;
  background-color: white;
  transform: translateY(-5px);
  box-shadow: 0 10px 20px rgba(27, 27, 27, 0.5);
}

.btn:active {
  transform: translateY(-3px);
}

.btn::after {
  content: "";
  display: inline-block;
  height: 100%;
  width: 100%;
  border-radius: 1000px;
  top: 0;
  left: 0;
  position: absolute;
  z-index: -1;
  transition: all 0.3s;
  background-color: #ffffff;
}

.btn:hover::after {
  background-color: transparent;
  transform: scaleX(1.4) scaleY(1.5);
  opacity: 0;
}

.slider-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 999;
  align-items: center;
  justify-content: center;
}

/* Slider content */
.slider-content {
  position: relative;
  width: 85%;
  max-width: 75vw;
  margin: auto;
}

.swiper-slide img {
  width: 100%;
  height: 100%;
  background-color: transparent;
  border-radius: 14px;
  object-fit: cover;
}

.swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 85%;
  max-width: 450px;
  aspect-ratio: 3/4;
}

@media (max-width: 768px) {
  .slider-content {
    max-width: 100vw;
  }
  .swiper-slide img {
    width: 95%;
  }
  .swiper-slide {
    width: 75%;
    max-width: 320px;
  }
}

.slider-overlay.show {
  display: flex;
}

/* Animation for the image slides */
.animated-slide {
  opacity: 0;
  transform: translateX(-50%);
  animation: slideInFromLeft 0.6s forwards;
}

.animated-slide:nth-child(1) {
  animation-delay: 0.1s;
}
.animated-slide:nth-child(2) {
  animation-delay: 0.2s;
}
.animated-slide:nth-child(3) {
  animation-delay: 0.3s;
}
.animated-slide:nth-child(4) {
  animation-delay: 0.4s;
}
.animated-slide:nth-child(5) {
  animation-delay: 0.5s;
}

@keyframes slideInFromLeft {
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

/* Go to Gallery button */
.animated-button {
  position: fixed;
  bottom: 42px;
  right: 18px;
  display: flex;
  align-items: center;
  gap: 4px;
  padding: 12px 28px;
  border: 4px solid;
  border-color: transparent;
  font-size: 14px;
  background-color: transparent;
  border-radius: 100px;
  font-weight: 600;
  color: teal;
  box-shadow: 0 0 0 2px teal;
  cursor: pointer;
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.6s cubic-bezier(0.23, 1, 0.32, 1), visibility 0.6s;
  z-index: 997;
}

.show-button {
  opacity: 1;
  visibility: visible;
}

.animated-button svg {
  position: absolute;
  width: 20px;
  fill: teal;
  z-index: 9;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .arr-1 {
  right: 12px;
}

.animated-button .arr-2 {
  left: -20%;
}

.animated-button .circle {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 12px;
  height: 12px;
  background-color: teal;
  border-radius: 50%;
  opacity: 0;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .text {
  position: relative;
  z-index: 1;
  transform: translateX(-8px);
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button:hover {
  box-shadow: 0 0 0 8px transparent;
  color: #ffffff;
  border-radius: 8px;
}

.animated-button:hover .arr-1 {
  right: -20%;
}

.animated-button:hover .arr-2 {
  left: 12px;
}

.animated-button:hover .text {
  transform: translateX(8px);
}

.animated-button:hover svg {
  fill: #ffffff;
}

.animated-button:active {
  scale: 0.95;
  box-shadow: 0 0 0 4px teal;
}

.animated-button:hover .circle {
  width: 200px;
  height: 200px;
  opacity: 1;
}

.sticky {
  position: absolute;
  bottom: 150px;
}


@media (max-width: 768px) {
  .animated-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    opacity: 0;
    transition: opacity 0.5s, position 0.3s;
  }

  .show-button {
    opacity: 1;
  }

  .sticky {
    position: absolute;
    bottom: 150px;
    right: 20px;
  }
}


/* Slider Container Styles */
.slider-container {
  display: inline-block;
  width: 85%;
  max-width: 450px;
  background-color: rgb(255, 255, 255);
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  border-radius: 0;
  overflow: hidden;
}

/* Slider */
.slider {
  overflow: hidden;
  position: relative;
  width: 100%;
}

/* Slides */
.slides {
  display: flex;
  width: 200%;
  animation: slideLeft 20s linear infinite;
}

/* Slide */
.slide {
  flex: 0 0 auto;
  width: 25%;
}

/* Keyframes for sliding animation */
@keyframes slideLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

.slide img {
  border: none;
  outline: none;
  width: 100%;
}

@media (max-width: 768px) {
  .slider-container {
    width: 75%;
    padding: 15px;
  }
  .slide {
    width: 50%;
  }
}

@media (max-width: 480px) {
  .slider-container {
    width: 70%;
    padding: 10px;
  }
  .slide {
    width: 50%;
  }
}

#scrollToTopBtn {
  position: fixed;
  bottom: 100px;
  right: 20px;
  width: 40px;
  height: 40px;
  background-color: #ffffff;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  display: none;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.025);
  z-index: 1000;
  transition: opacity 0.4s ease;
}

#scrollToTopBtn.show {
  display: flex;
  opacity: 1;
}

#scrollToTopBtn:hover {
  background-color: #fdfdfd;
}


/* Models` Questionnaire */
.quiz-tooltip {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  bottom: 10px;
  left: 20px;
  background-color: #125544;
  color: #f1f1f1;
  padding: 1em 3em;
  border-radius: 1em;
  font-size: 1.1em;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  opacity: 0;
  transition: opacity 0.6s; 
}

.show-tooltip {
  opacity: 1;
}

.quiz-tooltip .tooltiptext {
  visibility: hidden;
  width: 140px;
  background-color: #ffffff;
  color: #042b21;
  text-align: center;
  border-radius: 5px;
  padding: 1em;
  position: absolute;
  bottom: 125%;
  left: 50%;
  transform: translateX(-50%);
  opacity: 0;
  transition: opacity 0.6s; 
  z-index: 1001;
  
}

.quiz-tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

.quiz-tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  border-width: 8px;
  border-style: solid;
  border-color: #ffffff transparent transparent transparent;
}

/* Modal */
/* Progress Status */
.quiz-status {
  font-family: "Times New Roman", Times, serif;
  position: absolute;
  top: 2px;
  right: 2px;
  padding: 20px;
  font-size: 1.1em;
  margin-top: 1em;
  color: #125544;
  font-weight: bold;
}

.quiz-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.486);
  z-index: 998;
}
#quiz-overlay {
  margin-top: 0;
}

.quiz-modal {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #ffffff;
  padding: 2.5em;
  border-radius: 12px;
  z-index: 10005;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  width: 85vw;
  max-width: 450px;
  overflow-y: auto;
  max-height: 85vh;
}

.hidden {
  display: none;
}

.quiz-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 2em;
}

.quiz-question {
  margin-bottom: 1em;
  text-align: center;
  transition: all 0.3s ease-in-out;
  color: #042b21;
}

.quiz-question label {
  font-weight: 600;
  font-size: 1.2em;
  margin-bottom: 0.5em;
}

/* Input Fields */
.quiz-question input[type="text"] {
  width: 95%;
  height: 3em;
  padding: 0.7em;
  border-radius: 8px;
  border: 2px solid #ddd;
  font-size: 1em;
  margin-top: 1.5em;
  transition: border-color 0.2s ease, box-shadow 0.2s ease;
  outline: none;
}

.quiz-question input[type="text"]:focus {
  border-color: #125544;
}

#name {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  border: 2px solid rgba(0, 58, 43, 0.342);
  outline: none;
  padding: 15px;
  font-weight: 500;
  color: #666;
  border-radius: 5px;
}

#name:focus {
  border-color: #125544;
}

.clarification {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  border: 2px solid rgba(0, 58, 43, 0.342);
  outline: none;
  padding: 15px;
  font-weight: 500;
  color: #666;
  border-radius: 5px;
}

.clarification:focus {
  border-color: #125544;
}

#portfolio-link {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  border: 2px solid rgba(0, 58, 43, 0.342);
  outline: none;
  padding: 5px;
  font-weight: 500;
  color: #666;
  border-radius: 5px;
}

#portfolio-link:focus {
  border-color: #125544;
}

.quiz-question {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 20px;
  max-height: 90vh;
  overflow-y: auto;
  flex-wrap: nowrap;
}

/* Radio buttons */
.radio-input {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.radio-group {
  display: flex;
  flex-direction: column;
  gap: 12px;
  width: 320px;
  border-radius: 12px;
  background: rgba(0, 0, 0, 0.055);
  padding: 16px;
  margin-top: 2.5em;
}

.radio-container {
  position: relative;
  display: flex;
  align-items: center;
  cursor: pointer;
  padding: 12px 20px;
  border-radius: 8px;
  background-color: rgba(255, 255, 255, 0.9);
  transition: background-color 0.2s ease, transform 0.2s ease;
  color: #333333;
  user-select: none;
}

.radio-container:hover {
  background-color: rgba(255, 255, 255, 1);
  transform: scale(1.02);
}

.radio-container input[type="radio"] {
  opacity: 0;
  position: absolute;
}

.radio-checkmark {
  position: relative;
  height: 24px;
  width: 24px;
  border: 2px solid #ffffff;
  border-radius: 50%;
  background-color: rgba(0, 0, 0, 0.1);
  transition: background-color 0.2s ease, transform 0.2s ease;
  margin-right: 12px;
  display: inline-block;
  vertical-align: middle;
}

.radio-container input[type="radio"]:checked + .radio-checkmark {
  background-color: #ffffff;
  border-color: #125544;
  transform: scale(1.1);
  animation: pulse 0.6s forwards;
}

.radio-checkmark::after {
  content: "";
  position: absolute;
  display: none;
}

.radio-container input[type="radio"]:checked + .radio-checkmark::after {
  display: block;
  left: 50%;
  top: 50%;
  width: 14px;
  height: 14px;
  border-radius: 50%;
  background: #125544;
  transform: translate(-50%, -50%);
}

@keyframes pulse {
  0% {
    transform: scale(1.1);
  }
  50% {
    transform: scale(1.15);
  }
  100% {
    transform: scale(1.1);
  }
}

.radio-container {
  justify-content: flex-start;
  text-align: left;
}

#other-input {
  margin-top: 10px;
  padding: 5px;
  width: 100%;
  box-sizing: border-box;
}

#custom-answer-input {
  margin-top: 10px;
  width: 100%;
  box-sizing: border-box;
}

/* Navigation Arrows */
.quiz-navigation button {
  background: none;
  border: none;
  font-size: 36px;
  cursor: pointer;
  color: #013a30;
}

.quiz-navigation {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.hidden {
  display: none;
}

#submit-btn {
  position: absolute;
  bottom: 24px;
  right: 18px;
  background-color: #0f5849;
  color: white;
  border: none;
  padding: 12px 15px;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

#submit-btn:hover {
  background-color: #06302a;
}

@media screen and (max-width: 1024px) {
  .quiz-modal {
    width: 82vw;
    max-width: 95%;
    max-height: 95vh;
    padding: 1em;
  }

  .quiz-question input[type="text"] {
    position: relative;
    width: 85%;
  }

  .radio-group {
    width: 240px;
    max-width: 300px;
  }

  .quiz-tooltip {
    display: flex;
    position: relative;
    align-items: center;
    left: 8rem;
    bottom: 2px;
    transform: translate(-50%, -50%);
  }

  #name {
    width: 200px;
  }

  .clarification {
    width: 200px;
  }

  #portfolio-link {
    width: 250px;
  }
}


/*Socials*/
.socials-container {
  padding-bottom: 75px;
  margin-bottom: 5rem;
}

ul {
  list-style: none;
}

.socials {
  display: flex;
  justify-content: center;
  align-items: center;
}
.socials .icon-content {
  margin: 0 10px;
  position: relative;
  
}
.socials .icon-content .tooltip {
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  color: #fff;
  padding: 6px 10px;
  border-radius: 5px;
  opacity: 0;
  visibility: hidden;
  font-size: 14px;
  transition: all 0.3s ease;
}
.socials .icon-content:hover .tooltip {
  opacity: 1;
  visibility: visible;
  top: -50px;
}
.socials .icon-content a {
  position: relative;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  color: #4d4d4d;
  background-color: #fff;
  transition: all 0.3s ease-in-out;
}
.socials .icon-content a:hover {
  box-shadow: 3px 2px 45px 0px rgb(0 0 0 / 12%);
}
.socials .icon-content a svg {
  position: relative;
  z-index: 1;
  width: 30px;
  height: 30px;
}
.socials .icon-content a:hover {
  color: white;
}
.socials .icon-content a .filled {
  position: absolute;
  top: auto;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0;
  background-color: #000;
  transition: all 0.3s ease-in-out;
}
.socials .icon-content a:hover .filled {
  height: 100%;
}

.socialssocials .icon-content a[data-social="linkedin"] .filled,
.socials .icon-content a[data-social="linkedin"] ~ .tooltip {
  background-color: #0274b3;
}

.socials .icon-content a[data-social="github"] .filled,
.socials .icon-content a[data-social="github"] ~ .tooltip {
  background-color: #24262a;
}
.socials .icon-content a[data-social="instagram"] .filled,
.socials .icon-content a[data-social="instagram"] ~ .tooltip {
  background: linear-gradient(
    45deg,
    #405de6,
    #5b51db,
    #b33ab4,
    #c135b4,
    #e1306c,
    #fd1f1f
  );
}
.socials .icon-content a[data-social="youtube"] .filled,
.socials .icon-content a[data-social="youtube"] ~ .tooltip {
  background-color: #ff0000;
}
.socials .icon-content a[data-social="tiktok"] .filled,
.socials .icon-content a[data-social="tiktok"] ~ .tooltip {
  background-color: #000;
}

.socials .icon-content a[data-social="tiktok"] .filled {
  background: linear-gradient(45deg, #000000, #000000);
}

.socials .icon-content a[data-social="tiktok"] .tooltip {
  background: #000;
}

/* Footer */
.footer-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 30px;
  background-color: #f8f8f8;
  text-align: center;
}

.footer-container > div {
  margin: 15px 0;
}

/* Contact Information and Business Hours */
.contact-info,
.business-hours {
  max-width: 300px;
}

.contact-and-bhrs {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 45px;
}

@media (max-width: 768px) {
  .contact-and-bhrs {
    flex-direction: column;
  }
}

.footer-container h4 {
  color: #004d40;
  margin-bottom: 10px;
}

/* Links Styling */
.footer-container a {
  color: #0f5751;
  text-decoration: none;
  transition: color 0.3s;
}

.footer-container a:hover {
  color: #00796b;
}

.footer-bottom {
  text-align: center;
  padding-top: 10px;
  border-top: 1px solid #ddd;
  font-size: 0.9rem;
  color: #000000;
}
